Page MenuHomePhabricator

Don't let people create workboards on milestone, release or tag projects like WMF-deploy-*
Closed, ResolvedPublic

Description

Someone or something is creating (unused) workboards for the release tagger tags: https://phabricator.wikimedia.org/tag/wmf-deploy-2015-09-08_%281.26wmf22%29/

This is harmful, due to T89865.

Event Timeline

Nemo_bis created this task.Sep 10 2015, 6:58 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptSep 10 2015, 6:58 AM
greg awarded a token.Sep 10 2015, 6:16 PM

@Jdforrester-WMF created that project so he might know. Maybe he chose to clone existing workboards from another project.
This is not a Phabricator code bug hence removing that project.

Aklapper triaged this task as Lowest priority.Sep 11 2015, 12:55 PM
Aklapper edited projects, added Project-Admins; removed Phabricator.
Aklapper set Security to None.

What are the alternatives? If we don't want to create a workboard at such a project, we have to restrict the edit policy, so no one can create it. But do we want this?

(Re-adding phabricator, since this is a thing that needs a discussion)

I think that (eventually) upstream will add a way to make certain types of projects use a template

@Jdforrester-WMF created that project so he might know. Maybe he chose to clone existing workboards from another project.

I don't ever create workboards on tag projects; the ability for just anyone to create the boards in an anti-feature in Phabricator, and the failure to log who did it is a bug.

Jdforrester-WMF renamed this task from Don't create workboards on WMF-deploy-* projects to Don't let people create workboards on milestone, release or tag projects like WMF-deploy-*.Feb 12 2016, 7:25 PM

I think a good alternative may be, that we ask upstream to hide the "(backlog)", if there is only one columns at the workboard. What do you think?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 29 2016, 5:17 AM
Aklapper closed this task as Resolved.Apr 29 2016, 5:17 AM
Aklapper claimed this task.

Recently created projects like https://phabricator.wikimedia.org/project/view/1946/ https://phabricator.wikimedia.org/project/view/1945/ https://phabricator.wikimedia.org/project/view/1891/ all do not have workboards.
Closing as RESOLVED (as I don't plan to spend time disabling the workboards of archived past wmf-deploy-* projects).